--- src/3rdparty/javascriptcore/JavaScriptCore/wtf/Platform.h	2015-05-07 22:14:48
+++ src/3rdparty/javascriptcore/JavaScriptCore/wtf/Platform.h	2024-11-25 15:13:45
@@ -209,9 +209,9 @@
 #define WTF_CPU_AIX64 1
 #endif
 
-/* CPU(AARCH64) - AArch64 */
-#if defined(__aarch64__)
-#define WTF_CPU_AARCH64 1
+/* CPU(ARM64) - AArch64 */
+#if defined(__aarch64__) || defined(__arm64__)
+#define WTF_CPU_ARM64 1
 #if defined(__AARCH64EB__)
 #define WTF_CPU_BIG_ENDIAN 1
 #endif
@@ -903,7 +903,7 @@
 #endif
 
 #if !defined(WTF_USE_JSVALUE64) && !defined(WTF_USE_JSVALUE32) && !defined(WTF_USE_JSVALUE32_64)
-#if (CPU(X86_64) && (OS(UNIX) || OS(WINDOWS) || OS(SOLARIS) || OS(HPUX))) || (CPU(IA64) && !CPU(IA64_32)) || CPU(ALPHA) || CPU(AIX64) || CPU(SPARC64) || CPU(MIPS64) || CPU(AARCH64)
+#if (CPU(X86_64) && (OS(UNIX) || OS(WINDOWS) || OS(SOLARIS) || OS(HPUX))) || (CPU(IA64) && !CPU(IA64_32)) || CPU(ALPHA) || CPU(AIX64) || CPU(SPARC64) || CPU(MIPS64) || CPU(ARM64)
 #define WTF_USE_JSVALUE64 1
 #elif CPU(ARM) || CPU(PPC64)
 #define WTF_USE_JSVALUE32 1

--- src/3rdparty/webkit/Source/JavaScriptCore/wtf/Platform.h	2015-05-07 22:14:45
+++ src/3rdparty/webkit/Source/JavaScriptCore/wtf/Platform.h	2024-11-25 15:11:34
@@ -234,6 +234,11 @@
 #if   defined(__x86_64__) \
     || defined(_M_X64)
 #define WTF_CPU_X86_64 1
+#endif
+
+/* CPU(ARM64) */
+#if defined(__aarch64__) || defined(__arm64__)
+#define WTF_CPU_ARM64 1
 #endif
 
 /* CPU(ARM) - ARM, any version*/
@@ -1003,7 +1008,8 @@
     || CPU(SPARC64) \
     || CPU(S390X) \
     || CPU(PPC64) \
-    || CPU(MIPS64)
+    || CPU(MIPS64) \
+    || CPU(ARM64)
 #define WTF_USE_JSVALUE64 1
 #else
 #define WTF_USE_JSVALUE32_64 1
